import 'package:json_annotation/json_annotation.dart';

part 'file_view_settings.g.dart';

@JsonSerializable()
class FileViewSettings {
  bool alwaysOpenExternally;

  FileViewSettings({required this.alwaysOpenExternally});

  factory FileViewSettings.fromJson(Map<String, dynamic> json) =>
      _$FileViewSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$FileViewSettingsToJson(this);
}
